This example is outdated, you can check out the many other new examples in this category.Dashboards.JS provides ready-made framework components, so a dashboard is shown by placing the viewer element and giving it a dashboard object.

Viewer setup. Configure the viewer, load the dashboard, assign it to the component, and process the requests or events raised by the UI.
import { Component } from '@angular/core';
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-angular/viewer';

@Component({
    selector: 'app-root',
    imports: [Viewer],
    template: `<sti-viewer [report]="report"></sti-viewer>`
})
export class AppComponent {
    report: Stimulsoft.Report.StiReport;
    constructor() {
        this.report = Stimulsoft.Report.StiReport.createNewDashboard();
        report.loadFile('Dashboards/Christmas.mrt');
    }
}

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Assigning a Dashboard to the Viewer
Our sample projects and report templates can help you learn the basics of working with our products.This example is outdated, you can check out the many other new examples in this category.Dashboards.JS provides ready-made framework components, so a dashboard is shown by placing the viewer element and giving it a dashboard object.
Viewer setup. Configure the viewer, load the dashboard, assign it to the component, and process the requests or events raised by the UI.
Viewer setup. Configure the viewer, load the dashboard, assign it to the component, and process the requests or events raised by the UI.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer';
var report = Stimulsoft.Report.StiReport.createNewDashboard();
report.loadFile('Dashboards/Christmas.mrt');
</script>
<template>
<Viewer :report="report" />
</template>